%define	module	libintl-perl

Summary:	A localization library for Perl
Name:		perl-%{module}
Version:	1.16
Release:	%mkrel 3
License:	LGPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/authors/id/G/GU/GUIDO/%{module}-%{version}.tar.bz2
BuildRequires:	db2-devel
BuildRequires:	libgdbm-devel
BuildRequires:	perl-devel
BuildRequires:	gettext-devel
#gw yes, this is required by the tests
BuildRequires:	locales-de
BuildRequires:	chrpath
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
libintl-perl is a library that supports message translation for
Perl, written in pure Perl (version 5.004 or better). A faster C
version is also built and installed if the system fulfills all
requirements. Its interface is very similar to the gettext family
of functions in C, and it uses the same file formats as GNU
gettext, making it possible to use all tools available for gettext
itself and to seamlessly integrate internationalized Perl code
into mixed-language projects. An alternative library with a
similar purpose is available as Locale::MakeText. 

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}

%makeinstall_std

# nuke rpath
find %{buildroot}%{perl_vendorlib} -name "*.so" | xargs chrpath -d

# fix attribs
find %{buildroot}%{perl_vendorlib} -name "*.pm" | xargs chmod 755

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS TODO
%{perl_vendorlib}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*


%changelog
* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.16-3mdv2007.0
+ Revision: 111754
- fix buildrequires to fix the tests
- rebuild for new libintl

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-libintl-perl



* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdk
- rebuilt due to package loss
- nuke rpath and fix attribs

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16
- spec cleanup
- better URL
- fix directory ownership

* Thu Aug 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdk
- 1.12 (Major bugfixes)

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- rebuild for new perl

* Wed Jul 21 2004 Stefan van der Eijk <stefan@mandrake.org> 1.11-2mdk
- BuildRequires

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-1mdk
- 1.11
- fix deps

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-2mdk
- rebuilt against new deps and with gcc v3.4.x
- fix deps

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-1mdk
- initial package
